<?php
namespace app\controllers;

use app\models\Question;

class QuestionController{
    public function actionCreate(): void
    {
        require "app/views/questionCreate.php";
    }

    public function actionGetQuestionsWithAnswers(): array
    {
        return Question::with('AnswerController')->get()->toArray();
    }

    public function actionGetQuestionsWithUsers(): array
    {
        return Question::with('user')->get()->toArray();
    }

    public function actionGetQuestionAnswersUpvotes($question_id)
    {
        return Question::find($question_id)->answers()->with('upvotes')->get()->toArray();
    }

    public function actionViewAllQuestions()
    {
        foreach (Question::all() as $question)
        {
            echo $question->question. "<br>";
        }
    }
}